Subject: bug#36917: closed (Re: bug#36917: 27.0.50; debbugs-gnu: Don't hardcode switch-to-buffer)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 21 Aug 2019 19:07:02 +0000

Your bug report

#36917: 27.0.50; debbugs-gnu: Don't hardcode switch-to-buffer

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
36917: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=36917
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#36917: 27.0.50; debbugs-gnu: Don't hardcode switch-to-buffer
From: Michael Albinus <[email-masked]>
To: Michael Heerdegen <[email-masked]>
Cc: [email-masked], Noam Postavsky <[email-masked]>
Date: Wed, 21 Aug 2019 21:06:25 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Michael Heerdegen <[email-masked]> writes:

Hi Michael,

>> > I didn't have a look at the other remaining `switch-to-buffer' calls.
>> > Noam, did you mean to substitute all of them?
>>
>> If you think you might want to control the buffer switching of those
>> other functions with display-buffer-alist, then yes.
>
> I've installed the single change for now.  I'm not familiar with the
> rest of the package, so I would want to leave that to the authors.

Thanks. I'm closing the bug, not changing anything else. Let's wait
until there are further requests.

> Thanks,
> Michael.

Best regards, Michael.

Subject: 27.0.50; debbugs-gnu: Don't hardcode switch-to-buffer
From: Michael Heerdegen <[email-masked]>
To: [email-masked]
Date: Sun, 04 Aug 2019 04:35:47 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I don't want that debbugs-gnu-bugs reuses the selected window.  It's not
easy to change that as a user because 'debbugs-gnu-show-reports' uses
`switch-to-buffer' to display the reports AFAICT (the whole library uses
s-to-buffer quite a lot).  It would be nice if it would either use named
actions or just use to display-buffer so that one could control behavior
via display-buffer-alist.

TIA, Michael.